Vulnerability CVE-2007-6129


Published: 2007-11-26   Modified: 2012-02-12

Description:
Directory traversal vulnerability in scripts/include/show_content.php in Amber Script 1.0 allows remote attackers to include and execute arbitrary local files via a .. (dot dot) in the id parameter. NOTE: in some environments, this can be leveraged for remote file inclusion by using a UNC share pathname or an ftp, ftps, or ssh2.sftp URL.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Amber Script 1.0 (show_content.php id) Local File Inclusion Vulnerability
Crackers_Child
27.11.2007

Type:

CWE-20

(Improper Input Validation)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5.8/10
4.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Amber script -> Amber script 

 References:
http://www.securityfocus.com/archive/1/484154/100/0/threaded
http://www.securityfocus.com/bid/26561
http://www.vupen.com/english/advisories/2007/3993
https://exchange.xforce.ibmcloud.com/vulnerabilities/38617
https://www.exploit-db.com/exploits/4652

Copyright 2020, cxsecurity.com

 

Back to Top